List Invoice
curl --request GET \
--url https://api.example.com/{version}/invoices/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/{version}/invoices/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/{version}/invoices/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{version}/invoices/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"id": 123,
"invoice_number": "<string>",
"counterparty_id": 123,
"currency": "<string>",
"total_amount": 123,
"status": "<string>",
"note": "<string>",
"fee_bearer": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"as_payment_link": true,
"owner_id": 123,
"owner_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reference_id": "<string>",
"paid_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}invoices
List Invoice
GET
/
{version}
/
invoices
/
list
List Invoice
Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Allowed value:
"v1"Query Parameters
Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
Required string length:
3Pattern:
^[A-Z]{3}$Available options:
IDLE, ACTIVE, PROCESSING, PAID, CANCELED Response
Successful Response
Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
Required string length:
3Amount
Last modified on June 23, 2026
Was this page helpful?
